#ifndef ProtoGenWrapper_CheckActivationKey_H
#define ProtoGenWrapper_CheckActivationKey_H

#include <string>

#include <Command.h>

namespace ProtoGenWrapper
{
	class CheckActivationKey : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CheckActivationKey(const std::string& key);
		CheckActivationKey(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		CheckActivationKey() = delete;

		bool GetValues(std::string& key);
		static int GetCommandType();
	};
}

#endif // ProtoGenWrapper_CheckActivationKey_H
